%define	major 0
%define libname %mklibname atalk %{major}
%define develname %mklibname atalk -d

Summary:	Appletalk and Appleshare/IP services for Linux
Name:		netatalk
Version:	2.0.3
Release:	%mkrel 13
License:	BSD
Group:		System/Servers
URL:		http://netatalk.sourceforge.net/
Source0:	http://prdownloads.sourceforge.net/%{name}/%{name}-%{version}.tar.bz2
Patch0:		netatalk-mdk-etc2ps.patch
Patch1:		netatalk-2.0.3-pinit.patch
Patch2:		netatalk-shared.diff
Patch3:		netatalk-2008.diff
Patch4:		netatalk-bug25158.diff
Patch5:		netatalk-2.0.3-CVE-2008-5718.diff
Requires(pre):	rpm-helper
Requires:	groff-perl
Requires:	openssl
Requires:	tetex-dvips
BuildRequires:	libtool
BuildRequires:	autoconf
BuildRequires:	automake
BuildRequires:	chrpath
BuildRequires:	cracklib-devel
BuildRequires:	cups-devel
BuildRequires:	db4.2-devel 
BuildRequires:	gnutls-devel
BuildRequires:	libltdl-devel
BuildRequires:	openslp-devel
BuildRequires:	openssl-devel
BuildRequires:	pam-devel
BuildRequires:	quota
BuildRequires:	tcp_wrappers-devel
BuildConflicts: xfs-devel
Conflicts:	podracer
BuildRoot:	%{_tmppath}/%{name}-%{version}-%{release}-buildroot

%description
netatalk is an implementation of the AppleTalk Protocol Suite for Unix/Linux
systems. The current release contains support for Ethertalk Phase I and II,
DDP, RTMP, NBP, ZIP, AEP, ATP, PAP, ASP, and AFP. It provides Appletalk file
printing and routing services on Solaris 2.5, Linux, FreeBSD, SunOS 4.1 and
Ultrix 4. It also supports AFP 2.1 and 2.2 (Appleshare IP).

Note: The default configuration disables both guest accounts and plain-text
      passwords.  To enable these options, review the configuration file
      %{_sysconfdir}/netatalk/afpd.conf. Service Location Protocol is also
      disabled, remove -noslp in afpd.conf and install openslp if you want
      use it.

%package -n	%{libname}
Summary:	Shared library for Appletalk and Appleshare/IP services for Linux
Group:          System/Libraries
Requires:	tcp_wrappers

%description -n	%{libname}
netatalk is an implementation of the AppleTalk Protocol Suite for Unix/Linux
systems. The current release contains support for Ethertalk Phase I and II,
DDP, RTMP, NBP, ZIP, AEP, ATP, PAP, ASP, and AFP. It provides Appletalk file
printing and routing services on Solaris 2.5, Linux, FreeBSD, SunOS 4.1 and
Ultrix 4. It also supports AFP 2.1 and 2.2 (Appleshare IP).

This package provides the shared atalk library.

%package -n	%{develname}
Summary:	Static library and header files for the atalk library
Group:		Development/C
Provides:	%{name}-devel = %{version}
Obsoletes:	%{name}-devel
Requires:	%{libname} = %{version}

%description -n	%{develname}
netatalk is an implementation of the AppleTalk Protocol Suite for Unix/Linux
systems. The current release contains support for Ethertalk Phase I and II,
DDP, RTMP, NBP, ZIP, AEP, ATP, PAP, ASP, and AFP. It provides Appletalk file
printing and routing services on Solaris 2.5, Linux, FreeBSD, SunOS 4.1 and
Ultrix 4. It also supports AFP 2.1 and 2.2 (Appleshare IP).

This package contains the static atalk library and its header files.

%prep

%setup -q -n %{name}-%{version}
%patch0 -p1 -b .mdk
%patch1 -p1 -b .pinit
%patch2 -p0 -b .shared
%patch3 -p0 -b .2008
%patch4 -p0 -b .bug25158
%patch5 -p0 -b .CVE-2008-5718

#(sb) breaks autoconf
rm -fr autom4te.cache

# (sb) name clash with yudit
sed -i 's|uniconv|uniconvn|g' man/man1/uniconv.1.tmpl
mv doc/htmldocs/uniconv.1.html doc/htmldocs/uniconvn.1.html
sed -i 's|uniconv|uniconvn|g' doc/htmldocs/uniconvn.1.html

%build
%serverbuild

libtoolize --copy --force; aclocal -I macros; autoconf; automake -a -c --foreign

export PKGLIBDIR=%{_libdir}/netatalk
export LD_PRELOAD=
export CFLAGS="$CFLAGS -fomit-frame-pointer -fsigned-char"

%configure2_5x \
    --libexec=%{_bindir} \
    --localstatedir=%{_var} \
    --enable-shared \
    --enable-static \
    --with-uams-path=%{_libdir}/netatalk/uams \
    --with-msg-dir=%{_libdir}/netatalk/msg \
    --with-ssl-dir=%{_prefix} \
    --enable-redhat \
    --with-cracklib \
    --with-pam \
    --with-shadow \
    --with-tcp-wrappers \
    --enable-pgp-uam \
    --enable-timelord \
    --enable-dropkludge=no \
    --disable-shell-check \
    --enable-srvloc

%make all

%install
rm -rf %{buildroot}

### INSTALL (USING "make install") ###
install -d %{buildroot}{%{_prefix},%{_sysconfdir}/netatalk/}
install -d %{buildroot}/%{_libdir}/netatalk
install -d %{buildroot}/%{_libdir}/netatalk/msg

%makeinstall_std

# (sb) change to disallow cleartext passwords, example config for guest accounts
cat >> %{buildroot}%{_sysconfdir}/%{name}/afpd.conf << EOF
# config to allow guest logins, cleartext passwords:
# - -transall -uamlist uams_guest.so,uams_clrtxt.so,uams_dhx.so -nosavepassword
# default config with no guest logins, no cleartext passwords
# Service Location Protocol is disabled also, to enable remove -noslp and 
# install openslp and run the slpd service
- -transall -uamlist uams_dhx.so -nosavepassword -noslp
EOF

# clean up installed but unpackaged files
rm -f %{buildroot}%{_includedir}/netatalk/*.c
rm -f %{buildroot}%{_libdir}/netatalk/uams/*.la
rm -f %{buildroot}%{_libdir}/netatalk/uams/*.a
rm -f %{buildroot}%{_datadir}/netatalk/pagecount.ps

# (sb) we don't ship the rc shell, and cleanappledouble.pl seems to do the same thing
rm -f %{buildroot}%{_bindir}/acleandir.rc
rm -f %{buildroot}%{_mandir}/man1/acleandir.1*

# (sb) rpath cleanup
#chrpath -d %{buildroot}%{_sbindir}/papd

# (sb) mutliarch
%multiarch_binaries %{buildroot}%{_bindir}/%{name}-config

# (sb) name clash with yudit package
mv %{buildroot}%{_bindir}/uniconv %{buildroot}%{_bindir}/uniconvn
mv %{buildroot}%{_mandir}/man1/uniconv.1 %{buildroot}%{_mandir}/man1/uniconvn.1

%post
%_post_service atalk
%if %mdkversion < 200900
/sbin/ldconfig
%endif
# after the first install only
if [ "$1" = 1 ]; then
	# add the ddp lines to /etc/services
	if (grep '[0-9][0-9]*/ddp' /etc/services >/dev/null); then
		cat <<'_EOD1_' >&2
warning: The DDP services appear to be present in /etc/services.
warning: Please check them against services.atalk in the documentation.
_EOD1_
		true
	else
		cat <<'_EOD2_' >>/etc/services
# start of DDP services
#
# Everything between the 'start of DDP services' and 'end of DDP services'
# lines will be automatically deleted when the netatalk package is removed.
#
rtmp		1/ddp		# Routing Table Maintenance Protocol
nbp		2/ddp		# Name Binding Protocol
echo		4/ddp		# AppleTalk Echo Protocol
zip		6/ddp		# Zone Information Protocol

afpovertcp	548/tcp		# AFP over TCP
afpovertcp	548/udp
# end of DDP services
_EOD2_
	fi
fi

%preun
%_preun_service atalk

%postun
# do only for the last un-install
if [ "$1" = 0 ]; then
	# remove the ddp lines from /etc/services
	if (grep '^# start of DDP services$' /etc/services >/dev/null && \
	    grep '^# end of DDP services$'   /etc/services >/dev/null ); then
	  sed -e '/^# start of DDP services$/,/^# end of DDP services$/d' \
	    </etc/services >/etc/services.tmp$$
	  cat /etc/services.tmp$$ >/etc/services
	  rm /etc/services.tmp$$
	else
	  cat <<'_EOD3_' >&2
warning: Unable to find the lines `# start of DDP services` and
warning: `# end of DDP services` in the file /etc/services.
warning: You should remove the DDP services from /etc/services manually.
_EOD3_
	fi
fi

%if %mdkversion < 200900
%post -n %{libname} -p /sbin/ldconfig
%endif

%if %mdkversion < 200900
%postun -n %{libname} -p /sbin/ldconfig
%endif

%clean
rm -rf %{buildroot}

%files
%defattr(-,root,root)
%doc CONTRIBUTORS NEWS README TODO doc/README* doc/FAQ doc/Netatalk* doc/htmldocs/*
%attr(0755,root,root) %{_initrddir}/atalk
%dir %{_sysconfdir}/%{name}
%dir %{_var}/spool/%{name}
%dir %{_libdir}/netatalk
%dir %{_libdir}/netatalk/msg
%config(noreplace) %{_sysconfdir}/%{name}/Apple*
%config(noreplace) %{_sysconfdir}/%{name}/*.conf
%config(noreplace) %{_sysconfdir}/pam.d/netatalk
%dir %{_libdir}/%{name}/uams
%attr(0755,root,root) %{_libdir}/%{name}/uams/*.so
%{_bindir}/*
%exclude %{_bindir}/%{name}-config
%exclude %{multiarch_bindir}
%{_sbindir}/*
%{_mandir}/man[158]/*

%files -n %{libname}
%defattr(-,root,root)
%doc COPYRIGHT COPYING 
%{_libdir}/*.so.*

%files -n %{develname}
%defattr(-,root,root)
%doc doc/DEVELOPER
%{_libdir}/*.a
%{_libdir}/*.so
%{_libdir}/*.la
%dir %{_includedir}/atalk
%{_includedir}/atalk/*.h
%dir %{_includedir}/%{name}
%{_includedir}/%{name}/*.h
%{_datadir}/aclocal/%{name}.m4
%multiarch %{multiarch_bindir}/%{name}-config
%{_mandir}/man[34]/*


%changelog
* Tue Feb 24 2009 Oden Eriksson <oeriksson@mandriva.org> 2.0.3-13mdv2009.1
+ Revision: 344559
- P5: security fix for CVE-2008-5718

* Fri Aug 08 2008 Thierry Vignaud <tvignaud@mandriva.com> 2.0.3-12mdv2009.0
+ Revision: 268262
- rebuild early 2009.0 package (before pixel changes)

  + Pixel <pixel@mandriva.com>
    - do not call ldconfig in %%post/%%postun, it is now handled by filetriggers

* Mon Apr 21 2008 Oden Eriksson <oeriksson@mandriva.org> 2.0.3-11mdv2009.0
+ Revision: 196245
- fix #25158 (ATALK should use modprobe -q)

* Mon Jan 21 2008 Funda Wang <fundawang@mandriva.org> 2.0.3-10mdv2008.1
+ Revision: 155523
- BR db4.2
- rebuild

  + Olivier Blin <oblin@mandriva.com>
    - restore BuildRoot

  + Thierry Vignaud <tvignaud@mandriva.com>
    - kill re-definition of %%buildroot on Pixel's request

* Sat Aug 11 2007 Oden Eriksson <oeriksson@mandriva.org> 2.0.3-9mdv2008.0
+ Revision: 62037
- Import netatalk



* Sat Aug 11 2007 Oden Eriksson <oeriksson@mandriva.com> 2.0.3-9mdv2008.0
- make it provide shared libs as well

* Wed Sep 06 2006 Stew Benedict <sbenedict@mandriva.com> 2.0.3-8mdv2007.0
- conflicts with podracer

* Fri Jun 30 2006 Stew Benedict <sbenedict@mandriva.com> 2.0.3-7mdv2007.0
- rebuild against new gnutls

* Wed Mar 08 2006 Stew Benedict <sbenedict@mandriva.com> 2.0.3-6mdk
- P1: pinit support

* Wed Jan  4 2006 Stew Benedict <sbenedict@mandriva.com> 2.0.3-5mdk
- rebuild - suid bits dropped in last build

* Mon Nov 14 2005 Oden Eriksson <oeriksson@mandriva.com> 2.0.3-4mdk
- rebuilt against openssl-0.9.8a

* Tue Aug 23 2005 Stew Benedict <sbenedict@mandriva.com> 2.0.3-3mdk
- fix uniconv binary/man page clash with yudit

* Wed Jul 20 2005 Stew Benedict <sbenedict@mandriva.com> 2.0.3-2mdk
- disable Service Location Protocol in default setup 
  (thx havoc on #mandriva-cooker for the heads up)

* Fri Jun 03 2005 Stew Benedict <sbenedict@mandriva.com> 2.0.3-1mdk
- New release 2.0.3
- drop P1, merged upstream

* Mon May 16 2005 Stew Benedict <sbenedict@mandriva.com> 2.0.2-3mdk
- really package 2.0.2, patch for gcc40 (P1), fix multiarch

* Tue May 03 2005 Stew Benedict <sbenedict@mandriva.com> 2.0.2-2mdk
- multiarch

* Mon May 02 2005 Stew Benedict <sbenedict@mandriva.com> 2.0.2-1mdk
- New release 2.0.2

* Mon Nov  8 2004 Stew Benedict <sbenedict@mandrakesoft.com> 2.0.1-1mdk
- 2.0.1 (includes fix for CAN-2004-0974), drop p2 - merged upstream
- fix etc2ps.sh script so it can actually work on Mandrakelinux (p0)
- add requires for etc2ps.sh

* Tue Aug 10 2004 Stew Benedict <sbenedict@mandrakesoft.com> 2.0-0beta2.3mdk
- rebuild against libdb4.2, fix invalid libcups2-devel buuildrequires

* Thu Jul 29 2004 Christiaan Welvaart <cjw@daneel.dyndns.org> 2.0-0beta2.2mdk
- add BuildRequires: libltdl-devel libcups2-devel tcp_wrappers-devel

* Wed Jun 30 2004 Stew Benedict <sbenedict@mandrakesoft.com> 2.0-0beta2.1mdk
- 2.0-beta2, source url
- drop p0, p1 - merged upstream
- add p2 - broken make install

* Wed Apr 21 2004 Stew Benedict <sbenedict@mandrakesoft.com> 2.0-0beta1.2mdk
- fix some config options that have changed or no longer used
- (advice from upstream, 64 bit patches are in their cvs now too)

* Tue Apr 20 2004 Stew Benedict <sbenedict@mandrakesoft.com> 2.0-0beta1.1mdk
- 2.0-beta1, rework patch0, remove manual conf file install

* Mon Apr 19 2004 Per yvind Karlsen <peroyvind@linux-mandrake.com> 1.6.4-2mdk
- fix buildrequires
- do libtoolize and aclocal in %%build
- spec cosmetics

* Wed Dec 10 2003 Stew Benedict <sbenedict@mandrakesoft.com> 1.6.4-1mdk
- 1.6.4 - add support for OpenSLP (thx for the heads up Buchan)

* Tue Sep  2 2003 Stew Benedict <sbenedict@mandrakesoft.com> 1.6.3-4mdk
- fix buildrequires

* Mon Jul 21 2003 Stew Benedict <sbenedict@mandrakesoft.com> 1.6.3-3mdk
- remove explicit crack* requires

* Mon Jul 21 2003 Stew Benedict <sbenedict@mandrakesoft.com> 1.6.3-2mdk
- rebuild for move libcrack2

* Tue Jul  1 2003 Stew Benedict <sbenedict@mandrakesoft.com> 1.6.3-1mdk
- 1.6.3, libdb4.1

* Tue May 27 2003 Stew Benedict <sbenedict@mandrakesoft.com> 1.6.2-5mdk
- distriblint

* Sat May 17 2003 Stew Benedict <sbenedict@mandrakesoft.com> 1.6.2-4mdk
- remove acleandir.rc - dependency on rc shell

* Fri May 16 2003 Stew Benedict <sbenedict@mandrakesoft.com> 1.6.2-3mdk
- use db4, change default config to not allow cleartext passwords
- add additional sample entries to %%{_sysconfdir}/netatalk/afpd.conf

* Sat Apr 19 2003 Gwenole Beauchesne <gbeauchesne@mandrakesoft.com> 1.6.2-2mdk
- make it lib64 aware, add some 64-bit fixes

* Wed Apr  9 2003 Stew Benedict <sbenedict@mandrakesoft.com> 1.6.2-1mdk
- 1.6.2

* Fri Dec 27 2002 Stew Benedict <sbenedict@mandrakesoft.com> 1.6.0-2mdk
- rebuild for new glibc/rpm

* Mon Dec 9 2002 Stew Benedict <sbenedict@mandrakesoft.com> 1.6.0-1mdk
- new version, add --with-mangling (long filenames)
- try did=cnid now that libdb3 is no longer broken on ppc
- BuildRequires libdb3.3-devel, clean installed but not packaged files

* Tue Oct 15 2002 Stew Benedict <sbenedict@mandrakesoft.com> 1.5.5-2mdk
- fix configdir path for initscript
- with-did=last
- limit docs to just docs

* Tue Oct  8 2002 Stew Benedict <sbenedict@mandrakesoft.com> 1.5.5-1mdk
- new version, /etc/atalk->/etc/netatalk
- new config flags: enable-timelord (Macintosh time server daemon)
		    with-did=cnid (Berkeley DB3 scheme)
		    enable-dropkludge (experimental dropbox fix)
		    disable-shell-check (allow users w/o valid shell)
- use newer post/preun macros

* Fri Apr  5 2002 Stew Benedict <sbenedict@mandrakesoft.com> 1.5.3.1-1mdk
- new version

* Thu Mar 21 2002 Stew Benedict <sbenedict@mandrakesoft.com> 1.5.2-1mdk
- new version

* Fri Jan 18 2002 Stew Benedict <sbenedict@mandrakesoft.com> 1.5.1.1-1mdk
- new version

* Thu Jan 17 2002 Stew Benedict <sbenedict@mandrakesoft.com> 1.5.0-3mdk
- correct configure flags to fix init script and location of atalkd.tmp 
- setup codepage files and place in /usr/lib/atalk
- Thanks - Frederic Corne, Tomas Perez
- build with new spec-helper to address initscript issue
 
* Sun Jan  6 2002 Stefan van der Eijk <stefan@eijk.nu> 1.5.0-2mdk
- BuildRequires: quota (rpcsvc/rquota.h)
- fix install of config files

* Wed Jan  2 2002 Stew Benedict <sbenedict@mandrakesoft.com> 1.5.0-1mdk
- 1.5 release, spec mods

* Thu Nov  8 2001 Stew Benedict <sbenedict@mandrakesoft.com> 1.5_pre6-1mdk
- SRPM from sourceforge - cleanup spec a bit - rpmlint/FHS conformance

* Thu Apr 12 2001 rufus t firefly <rufus.t.firefly@linux-mandrake.com>
  - v1.5pre6-1mdk
  - pre-release 6 for sourceforge

* Wed Mar 07 2001 rufus t firefly <rufus.t.firefly@linux-mandrake.com>
  - v1.5pre5-1mdk
  - pre-release 5 for sourceforge
  - sync with redhat package

* Mon Dec 18 2000 rufus t firefly <rufus.t.firefly@linux-mandrake.com>
  - v1.5pre3-1mdk
  - pre-release 3 for sourceforge
  - moved away from 1.4.99 ... 

* Wed Nov 08 2000 rufus t firefly <rufus.t.firefly@linux-mandrake.com>
  - v1.4.99-0.20001108mdk
  - pre-release 2 for sourceforge

* Wed Sep 27 2000 rufus t firefly <rufus.t.firefly@linux-mandrake.com>
  - v1.4.99-0.20000927mdk
  - pre-release 1 for sourceforge
